/*
 * Goldwater Distributed Web Architecture.
 *
 * Timeout Control
 *
 * Copyright 1996-2002 netFluid Technology Ltd
 *
 * Goldwater is written and maintained by netFluid Technology Ltd.
 * http://www.nfluid.co.uk
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 *
 * $Revision: 1.2 $  $Date: 2003/03/29 12:21:11 $
 * 
 * --------------------------------------------------------------------------
 * $Log: gwtime.c,v $
 * Revision 1.2  2003/03/29 12:21:11  csmith
 * cvs merge to 0.3.4
 *
 * Revision 1.5  2002/06/11 21:52:58  chris
 * Enabled timed blocking in gwp_get_request and use this in dbridge to
 * prevent spinning and chewing cpu time.
 *
 * Revision 1.4  2002/06/10 17:34:47  chris
 * All phlib includes have phlib/ prefix and gwlib includes have nothing.
 *
 * Revision 1.3  2002/05/12 14:03:13  chris
 * GPL licence headers etc
 *
 * Revision 1.2  2001/12/26 22:57:43  chris
 * Changed all references to Imagepage Computing to netFluid Technology.
 *
 * Revision 1.1  2001/03/19 16:09:08  chris
 * Initial revision
 *
 * --------------------------------------------------------------------------
 */

#include <stdio.h>
#include <gwlog.h>
#include <gwtime.h>

sigjmp_buf timeout_env; /* Global */

/* ------------------------------------------------------------------------- */

void
__got_timeout( int sig )
{
  /* gw_logf( LOG_INTDBG, "** DOING TIMEOUT JUMP **" );  */

  siglongjmp( timeout_env, TIMER_EXPIRED );
}

/* ------------------------------------------------------------------------- */
/* end */

