#ifndef REG_STRINGS_H
#define REG_STRINGS_H
/*
 * Copyright 1996-2002 netFluid Technology Ltd
 *
 * Goldwater is written and maintained by netFluid Technology Ltd.
 * http://www.nfluid.co.uk
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 *
 * ----------------------------------------------------------------------------
 * $Log: regstrings.h,v $
 * Revision 1.2  2003/03/29 12:21:11  csmith
 * cvs merge to 0.3.4
 *
 * Revision 1.18  2003/03/25 19:51:39  chris
 * added maxrequests
 *
 * Revision 1.17  2003/01/02 20:25:32  chris
 * Allows configuration of IPC SHM umask (default is 066)
 *
 * Revision 1.16  2003/01/02 18:49:56  chris
 * Added User and Group
 *
 * Revision 1.15  2002/12/27 16:48:44  chris
 * Some comments where 'env' would be extracted from gwconfig
 *
 * Revision 1.14  2002/05/30 19:37:34  chris
 * Create entries in BBClient table for each new client attaching to
 * application.
 *
 * Revision 1.13  2002/05/26 18:15:02  chris
 * Remove R_EXPORT_SB
 *
 * Revision 1.12  2002/05/26 17:51:36  chris
 * Added export tags
 *
 * Revision 1.11  2002/05/26 17:22:36  chris
 * Added IMPORT subbranch and leaf node
 *
 * Revision 1.10  2002/05/12 14:03:13  chris
 * GPL licence headers etc
 *
 * Revision 1.9  2002/03/17 11:16:36  chris
 * New regstrings
 *
 * Revision 1.8  2002/02/24 18:05:38  chris
 * Moved APPDIR to BBControl block instead of duplicating it for each and
 * every server.
 * Return GWE_APPERR and set gwusrerr when Services return failure.
 * Use new regstrings that describe the new XML based configuration.
 * Added new functions to support individual addition of service entries.
 * New Version 1.14
 *
 * Revision 1.1  2002/02/17 22:31:29  chris
 * New sources - not all of these will be staying...
 *
 * Revision 1.7  2002/01/03 20:27:31  chris
 * Introduction of preliminary Domain Control handling.
 *
 * Revision 1.6  2001/12/26 22:57:43  chris
 * Changed all references to Imagepage Computing to netFluid Technology.
 *
 * Revision 1.5  2001/04/15 12:56:53  chris
 * Introduced domain table.
 *
 * Revision 1.4  2001/03/19 15:45:57  chris
 * New registry entries for logging and message spooling.  Moved default
 * parameters under scheduler branch.
 *
 * Revision 1.3  2001/03/05 14:26:46  chris
 * Changed service stem/branch.
 *
 * ----------------------------------------------------------------------------
 */

#define PREFIX "/goldwater/"

/* Full paths to resources
 */
static const char R_LOCAL_DOM   [] = PREFIX "control/local/local";
static const char R_MAX_DOMAINS [] = PREFIX "control/maxdomains/maxdomains";

/* Branch Paths
 */
static const char R_REMOTE_DOM_B[] = PREFIX "control/remote/";
static const char R_DOMAIN_B    [] = PREFIX "domain/";

/* Sub Branch Paths
 */
static const char R_SERVERS_SB  [] = "/servers/class/";
static const char R_SERVICES_SB [] = "/service/";
static const char R_ENV_SB      [] = "/env/";
static const char R_DEFAULT_SB  [] = "/default/";
static const char R_IMPORT_SB   [] = "/import/";

/* Leaf Nodes
 */
static const char R_REMOTE_DOM_L[] = "/remote";
static const char R_PRIORITY_L  [] = "/priority";
static const char R_SVC_MAX_L   [] = "/max";
static const char R_SVC_MIN_L   [] = "/min";
static const char R_SVC_MAXREQ_L[] = "/maxrequests";
static const char R_FUNCTION_L  [] = "/function";
static const char R_EXPORT_L    [] = "/export";
static const char R_SERVICE_L   [] = "/service";
static const char R_EXE_L       [] = "/exe";
static const char R_ID_L        [] = "/id";
static const char R_IMPORT_L    [] = "/import";

static const char R_MAX_SVCS_L  [] = "/maxservices";
static const char R_MAX_SRVS_L  [] = "/maxservers";
static const char R_MAX_CLIENT_L[] = "/maxclients";
static const char R_REQ_TOUT_L  [] = "/reqtout";
static const char R_IPCKEY_L    [] = "/ipckey";
static const char R_MODE_L      [] = "/mode";
static const char R_LOGFILE_L   [] = "/logfile";
static const char R_LOGLEVEL_L  [] = "/loglevel";
static const char R_SPOOLDIR_L  [] = "/spooldir";
static const char R_EXE_DIR_L   [] = "/exedir";
static const char R_DOM_ADDR_L  [] = "/addr";
static const char R_DOM_PORT_L  [] = "/port";
static const char R_DOM_NAME_L  [] = "/name";
static const char R_DOM_NSPACE_L[] = "/ns";
static const char R_USER_L      [] = "/user";
static const char R_GROUP_L     [] = "/group";
static const char R_UMASK_L     [] = "/umask";
static const char R_RESPAWN_L   [] = "/respawn";
static const char R_STDOUT_L    [] = "/stdout";
static const char R_STDERR_L    [] = "/stderr";

static const char R_ENV_NAME_L  [] = "/name";
static const char R_ENV_VALUE_L [] = "/env";

/*
 * General configuration 
 */
#endif
