#ifndef GW_REG_ENG_H
#define GW_REG_ENG_H
/*
 */
#include <phlib/xl_types.h>
#include <phlib/xl_linklst.h>

#include <gwreadconf.h>

#define NODE_LABEL_SIZE  15 

typedef struct {
  Ttype       ttype;    /* Type of node                */
  LIST       *stree;    /* Subtree if node is a branch */
  char       *name;     /* Name of node                */
  int         namelen;  /* Length of node name         */
  char       *data;     /* Pointer to data (if a leaf) */
  int32       dlen;     /* Length of data              */ 
} TreeNode;

RetValue start_tree    ();
RetValue end_tree      ();
RetValue reg_add_branch( char *branch );
RetValue reg_add_leaf  ( char *branch, char *data, int len, int pos );
int      count_children( CString *branchCS );
void     dump_tree();
LIST *   traverse_branch( LIST *tree, CString *branchCS, TreeNode** data );
RetValue flatten_tree( CString *memCS );

#endif
